diff a/src/hotspot/share/code/oopRecorder.cpp b/src/hotspot/share/code/oopRecorder.cpp
--- a/src/hotspot/share/code/oopRecorder.cpp
+++ b/src/hotspot/share/code/oopRecorder.cpp
@@ -24,10 +24,11 @@
 
 #include "precompiled.hpp"
 #include "ci/ciEnv.hpp"
 #include "ci/ciInstance.hpp"
 #include "ci/ciMetadata.hpp"
+#include "ci/ciUtilities.hpp"
 #include "code/oopRecorder.inline.hpp"
 #include "gc/shared/collectedHeap.hpp"
 #include "memory/allocation.inline.hpp"
 #include "oops/oop.inline.hpp"
 #include "runtime/jniHandles.inline.hpp"
@@ -299,11 +300,13 @@
       int n = extern_hist->at(index);
       if (n > 0) {
         address addr = at(index);
         tty->print("%d: %8d " INTPTR_FORMAT " :", j++, n, p2i(addr));
         if (addr != nullptr) {
-          if (StubRoutines::contains(addr)) {
+          if (is_card_table_address(addr)) {
+            tty->print(" card_table_base");
+          } else if (StubRoutines::contains(addr)) {
             StubCodeDesc* desc = StubCodeDesc::desc_for(addr);
             if (desc == nullptr) {
               desc = StubCodeDesc::desc_for(addr + frame::pc_return_offset);
             }
             const char* stub_name = (desc != nullptr) ? desc->name() : "<unknown>";
